Solid Edge Part Type Library
Global Property
Description
Specifies whether or not the referenced object is a global reference plane.
Property type
Read-only property
Syntax
Visual Basic
Public Property Global As Boolean
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objPPlane As SolidEdgePart.RefPlane
    Dim objRPParallel As SolidEdgePart.RefPlane
    Dim bGlobal As Boolean
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' geting the reference plane object
    Set objPPlane = objDoc.RefPlanes.Item(Index:=2)
    ' adding a reference plane parallel to and at a distance to a pricipal plane
    Set objRPParallel = objDoc.RefPlanes.AddParallelByDistance(ParentPlane:=objPPlane, Distance:=0.01, _
                                                               NormalSide:=igLeft)
    ' getting the global property of the refplane object.
    bGlobal = objRPParallel.Global
    If bGlobal = True Then
        MsgBox ("Global property for a Refplane Object Fails")
    End If



    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPPlane = Nothing
    Set objRPParallel = Nothing
End Sub
See Also

RefPlane Object  | RefPlane Members

Send comments on this topic.